import { select, json, tsv, geoPath, zoom, event, geoMercator, geoOrthographic, geoNaturalEarth1 } from 'd3';
import { feature } from 'topojson';

const svg = select('svg');

const projection = geoNaturalEarth1();
const pathGenerator = geoPath().projection(projection);

const g = svg.append('g')

g.append('path')
	.attr('class', 'sphere')
	.attr('d', pathGenerator({type: 'Sphere'}))

svg.call(zoom().on('zoom', () =>{
	g.attr('transform', event.transform)
}))

json('https://unpkg.com/world-atlas@2.0.2/countries-110m.json')
	.then(data => { 
  	// const countryNames = {}
  	// data.forEach(d => {
  	// countryNames[d.id] = d.name;
  	// });
  	
  	const countries = feature(data, data.objects.countries);
  	
  
  	g.selectAll('path').data(countries.features)
  	.enter()
  	.append('path')
  		.attr('class', 'countries')
  		.attr('title', 'hello')
  		.attr('d', pathGenerator)
  		.append('title')
  			.text(d => d.id)
	})